Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1067264 - [GSS] (6.2.x) Upgrade JBoss Remoting from 3.2.18 to 3.2.19
Summary: [GSS] (6.2.x) Upgrade JBoss Remoting from 3.2.18 to 3.2.19
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Remoting
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR2
: EAP 6.2.2
Assignee: Vladimir Dosoudil
QA Contact: Jitka Kozana
Russell Dickenson
URL:
Whiteboard:
Depends On: 1067260 1069069
Blocks: eap62-cp02-blockers
TreeView+ depends on / blocked
 
Reported: 2014-02-20 03:41 UTC by Osamu Nagano
Modified: 2018-12-05 17:22 UTC (History)
6 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1069069 (view as bug list)
Environment:
Last Closed: 2014-06-02 12:50:00 UTC
Type: Component Upgrade


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1068711 None None None Never
Red Hat Bugzilla 1068712 None None None Never

Internal Links: 1068711 1068712

Description Osamu Nagano 2014-02-20 03:41:27 UTC
As described in Bug 1067260, the following commit fixes the issue.

https://github.com/jboss-remoting/jboss-remoting/commit/7d20e8ebc141cabafd5f13ed92b5703bc5579c39

There is no corresponding JIRA, though the same fix has already been committed in the upstream as well (WildFly 8.0.0.Final/JBoss Remoting 4.0.0.Final).

https://github.com/jboss-remoting/jboss-remoting/commit/a93b2454683cd1224be2d282fc7d00c4016d1b3b

Comment 1 Osamu Nagano 2014-02-20 05:08:15 UTC
Issue Description:

An EJB client on Tomcat was leaking threads like "ejb-client-context-tasks-463-thread-2" during a load test.  From a heap dump, a Set object, org.jboss.remoting3.remote.RemoteConnectionProvider.pendingInboundConnections, was holding so many IoFuture objects.  I found a related fix on the Set object between JBoss Remoting 3.2.18 (bundled with EAP 6.2.0 and CP01) and 3.2.19.  That is only the major fix between those versions.  The customer tested with JBoss Remoting 3.2.19 and corresponding jboss-client.jar, and confirmed the leak resolved.

Comment 4 Jitka Kozana 2014-03-05 13:31:56 UTC
Verified on 6.2.2.CP.CR2.


Note You need to log in before you can comment on or make changes to this bug.